Subject: Re: bug#56259: 29.0.50; Illegal -layoutSubtreeIfNeeded on NS

From: Richard Stallman <[email-masked]>
Date: Wed, 29 Jun 2022 23:09:10 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I wonder if this is a bug in macOS 12.4 (concretely, in NSFontManager's
  > > orderFrontFontPanel) and not in Emacs.  For example, I can reproduce the
  > > same warning if I try to open the Fonts panel in the standard TextEdit
  > > app created by Apple.

  > Then let's sue Apple for its illegal calls.

None of these things is "illegal" -- that's the wrong word.
I'm not sure what people mean by using it in this context,
but I don't think there is a law against it.

Apple surely has no legal obligation to implement the feature we
would like to use, so there is no basis for a lawsuit against Apple.

This is why we urge people not to use the word "illegal" to say
that some way of using a program is considered invalid or not supported.
See the node GNU Manuals in the GNU Coding Standards.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)